## Function template extract_or_throw

boost::log::extract_or_throw

## Synopsis

    // In header: <boost/log/attributes/value_extraction.hpp>

    template<typename DescriptorT, template< typename > class ActorT>
      result_of::extract_or_throw< typename DescriptorT::value_type, DescriptorT >::type
      extract_or_throw(expressions::attribute_keyword< DescriptorT, ActorT > const & keyword,
                       record const & rec);

## Description

The function extracts an attribute value from the view. The user has to explicitly specify the type or set of possible types of the attribute value to be extracted.

Parameters:

`keyword` | The keyword of the attribute value to extract.
`rec` | A log record. The attribute value will be sought among those associated with the record.

Returns: | The extracted value or a non-empty `value_ref` that refers to the value.
Throws: | An exception is thrown if the requested value cannot be extracted.